Bug 29264 - Update request: newer version of Avidemux resolves bugs in file indexing
Summary: Update request: newer version of Avidemux resolves bugs in file indexing
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 8
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: All Packagers
QA Contact:
URL: https://avidemux.org/smif/index.php/t...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-07-17 16:05 CEST by Jürgen Kowalzik
Modified: 2021-07-23 21:19 CEST (History)
2 users (show)

See Also:
Source RPM: avidemux-2.7.6-3.mga8.src.rpm, avidemux-2.7.6-3.mga8.tainted.src.rpm
CVE:
Status comment:


Attachments

Description Jürgen Kowalzik 2021-07-17 16:05:24 CEST
Description of problem:
There is a difference between indexing with 2.7 and the new 2.8 version. The version 2.7 comming with MGA8 cannot read index-files from 2.8, this is normal. But 2.8 (comming with cauldron) cannot raed the old index-files, that's awfull.

Version-Release number of selected component (if applicable):


How reproducible:
Cut a *mp4 movie first with 2.7 and then try to fullfill your work with the new avidemux, you must re-index the movie

Steps to Reproduce:
1.
2.
3.
Comment 1 Lewis Smith 2021-07-17 21:13:35 CEST
I cannot judge that this problem is ours. Is re-indexing a big deal?

Can you please first ask about it in their usability forum:
 https://avidemux.org/smif/index.php/board,7.0.html
The simple question being "Should you expect to re-index a movie migrating from 2.7 to 2.8?"
and if not - where might the problem lie?

TIA

Source RPM: avidemux-qt-2.7.6-3.mga8.x86_64.rpm => avidemux-qt-2.8
Status: NEW => NEEDINFO
Version: 8 => Cauldron
CC: (none) => lewyssmith

Comment 2 Jürgen Kowalzik 2021-07-17 21:52:15 CEST
Hello!

[quote]where might the problem lie?[/quote]

The new version (2.7.8) is not backward compatible (by indexing a movie) to the version, that is distributed with MGA8 (2.7.6.). I can not cooperate with other people, who use another system that can use avidemux 2.7.8
Is it a serious problem? Cauldron offers (2021-03-09): 2.7.8. and makeing a backport for MGA8?

mit freundlichen Gruessen Jürgen
Comment 3 Lewis Smith 2021-07-19 20:34:32 CEST
I have opened a query chez avidemux:
 https://avidemux.org/smif/index.php/topic,19618.0.html
Await a reply before pursuing further.

URL: (none) => https://avidemux.org/smif/index.php/topic,19618.0.html
Status: NEEDINFO => UPSTREAM

Comment 4 Aurelien Oudelet 2021-07-21 20:48:31 CEST
(In reply to Lewis Smith from comment #3)
> I have opened a query chez avidemux:
>  https://avidemux.org/smif/index.php/topic,19618.0.html
> Await a reply before pursuing further.

Thanks doing this.

Upstream answer from eumagga0x2a (Moderator):

> There is no v2.8. I cannot rule out that v2.7.9 won't be relabled as v2.8, but
> for now we are at v2.7.x (2.7.9 with the last release being 2.7.8 ).
>
> We need to force re-indexing of MPEG-TS files because old index files reflected
> and perpetuated bugs in previous releases which are now fixed. Additionally,
> there have been minor format changes to deal better with interlaced video.
>
> There should not be any reason to keep using anything older than 2.7.8. 

Per this, and per http://fixounet.free.fr/avidemux/download.html,
Upstream latest version is 2.7.8.

This is worth the upgrade.
Assigning to all packagers and CC'd latest committer on this.

Assignee: bugsquad => pkg-bugs
CC: (none) => luigiwalser, ouaurelien
Version: Cauldron => 8
Summary: Avidemux uses a old kind of indexing => Update request: newer version of Avidemux resolves bugs in file indexing
Source RPM: avidemux-qt-2.8 => avidemux-2.7.6-3.mga8.src.rpm, avidemux-2.7.6-3.mga8.tainted.src.rpm

Aurelien Oudelet 2021-07-21 20:48:39 CEST

Status: UPSTREAM => NEW

Comment 5 Lewis Smith 2021-07-21 21:02:06 CEST
Collision!
Aurélien has just launched this onwards, but here is what I was going to say - redundant, but for the record:

Got the answer.

1) Versions were confused: our current normal one is 2.7.6, the latest in Cauldron is 2.7.8 - as per your comment 2. Initial reference (comment 0, SRPM) to 2.7 & 2.8 clouded the issue.

2) From upstream:
> We need to force re-indexing of MPEG-TS files because old index files
> reflected and perpetuated bugs in previous releases which are now fixed.
> Additionally, there have been minor format changes to deal better with
> interlaced video.
Closing this fixed (by that explanation).
If you really want to see 2.7.8 in Mageia 8, please re-open the bug setting Component to Backport
Comment 6 David Walser 2021-07-22 05:43:07 CEST
We probably should update it.  It does fix CVE-2020-13904 in the bundled ffmpeg.  It would be nice to get a new upstream release that updates to a newer ffmpeg branch.  Does upstream have anything to say about when that might be happening?
Lewis Smith 2021-07-23 21:19:14 CEST

CC: lewyssmith => (none)


Note You need to log in before you can comment on or make changes to this bug.